View Issue Details

IDProjectCategoryView StatusLast Update
13669Bug reports[All Projects] Theme editorpublic2018-09-03 17:14
ReporterTuvlanAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version 
Summary13669: Stylesheet missing in themes/survey fruity
Description

If you create a child-theme of fruity, by default this theme has a import of the css/ajaxify.css file which doesn't exist in the css base directory of fruity .

https://github.com/LimeSurvey/LimeSurvey/tree/master/themes/survey/fruity/css

In the vanilla css directory this file instead exists. We copied the ajaxify.css from vanilla to fruity and the 404 file not found error is gone.
The question is shouldn't the ajaxify.css exist by default in the fruity css directory?

https://github.com/LimeSurvey/LimeSurvey/tree/master/themes/survey/vanilla/css

Tagscss, theme
Complete LimeSurvey version number (& build)3.7.2+180508
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL
Operating System (Server)Debian 3.16.56-1 (2018-04-28) x86_64
Webserver software & versionApache
PHP Version7.0.30

Activities

LouisGac

LouisGac

2018-08-07 14:05

manager   ~48671

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27758

LouisGac

LouisGac

2018-08-07 14:08

manager   ~48672

also this fix:
https://github.com/LimeSurvey/LimeSurvey/commit/295af546cb9a2d80f4ae921a4e79a3ecfa9f608a

LouisGac

LouisGac

2018-08-07 14:12

manager   ~48673

First commit is the real fix. But it will be applied only to new installation, or if you reset your themes after update (but then you'll lose your specific configuration for options)

With the second commit, not existing files are not registered anymore: so no more errors, even if you don't reset your themes.
But, if you turn on debug mode in config.php and front end console error in global settings: you'll still have a nice console exception saying that your theme config is somehow wrong.

LouisGac

LouisGac

2018-08-07 15:20

manager   ~48674

also, to makes things more clear, to avoid those kind of mistakes in the future:

https://github.com/LimeSurvey/LimeSurvey/commit/920160d02befdb00f96c24610f25cd82e33ba824

https://github.com/LimeSurvey/LimeSurvey/commit/b6c4ce0658208c697ab88da51b8dba7ed2a86995

https://github.com/LimeSurvey/LimeSurvey/commit/1b5890adbc8a82355d3f52104f69fbd003188b62

LouisGac

LouisGac

2018-08-07 18:22

manager   ~48742

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27764

LouisGac

LouisGac

2018-08-07 18:25

manager   ~48743

With last commit:

Now, files are added to the parent theme where the file exist. So it avoid many possible issue, that's why many notes disappeared.
It also means that a wrong config.xml adding a file that doesn't need to be added will not cause any error...

LouisGac

LouisGac

2018-08-07 18:28

manager   ~48747

Indeed, what was a bug before (adding a file that doesn't exist locally and that already exists in a parent theme ) become now a functionality: it give the possibility to reorder the file loading of any theme from any theme.

c_schmitz

c_schmitz

2018-09-03 17:14

administrator   ~48945

Version 3.14.8+180829 released

Related Changesets

LimeSurvey: master 78fb5f46

2018-08-07 12:51:35

LouisGac

Details Diff
Fixed issue 13669: Stylesheet missing in themes/survey fruity
mod - themes/survey/bootswatch/config.xml Diff File
rm - themes/survey/bootswatch/css/ajaxify.css Diff File
mod - themes/survey/fruity/config.xml Diff File
mod - themes/survey/vanilla/config.xml Diff File

LimeSurvey: master 61c7034a

2018-08-07 18:21:06

LouisGac

Details Diff
Fixed issue 13669: recursive way, for easy maintenance
mod - application/core/LSYii_ClientScript.php Diff File
mod - application/models/TemplateConfiguration.php Diff File

Issue History

Date Modified Username Field Change
2018-05-12 19:16 Tuvlan New Issue
2018-05-12 19:18 Tuvlan Tag Attached: theme
2018-05-12 19:18 Tuvlan Tag Attached: css
2018-05-16 11:48 LouisGac Sticky Issue No => Yes
2018-05-16 11:48 LouisGac Assigned To => LouisGac
2018-05-16 11:48 LouisGac Status new => confirmed
2018-08-07 14:05 LouisGac Changeset attached => LimeSurvey master 78fb5f46
2018-08-07 14:05 LouisGac Note Added: 48671
2018-08-07 14:05 LouisGac Resolution open => fixed
2018-08-07 14:08 LouisGac Note Added: 48672
2018-08-07 14:12 LouisGac Note Added: 48673
2018-08-07 15:20 LouisGac Note Added: 48674
2018-08-07 15:25 LouisGac Status confirmed => resolved
2018-08-07 18:22 LouisGac Changeset attached => LimeSurvey master 61c7034a
2018-08-07 18:22 LouisGac Note Added: 48742
2018-08-07 18:25 LouisGac Note Added: 48743
2018-08-07 18:28 LouisGac Note Added: 48747
2018-08-17 15:45 LouisGac Sticky Issue Yes => No
2018-09-03 17:14 c_schmitz Note Added: 48945
2018-09-03 17:14 c_schmitz Status resolved => closed